<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@android:color/white"
    android:orientation="vertical">

    <View
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:background="@color/line_table" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingStart="5dp"
        android:paddingTop="15dp"
        android:paddingEnd="15dp"
        android:paddingBottom="15dp">

        <CheckBox
            android:id="@+id/check_box"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:clickable="false" />

        <ImageView
            android:id="@+id/scratch_image"
            android:layout_width="55dp"
            android:layout_height="55dp"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="10dp"
            android:layout_marginEnd="15dp"
            android:src="@drawable/ic_scratch_card" />


        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_weight="1"
            android:orientation="vertical">

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="Top Up Card"
                android:textColor="@android:color/black"
                android:textSize="@dimen/small_text_size" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/tv_scratch_amount"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="$20"
                android:textColor="@color/colorPrimary"
                android:textSize="@dimen/large_text_size" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:gravity="center_vertical">

                <LinearLayout
                    android:layout_width="60dp"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="10dp">

                    <com.seatel.mobilehall.util.customview.CustomTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="Quantity"
                        android:textColor="@android:color/black"
                        android:textSize="@dimen/small_text_size" />

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="end"
                        android:text=":"
                        android:textColor="@android:color/black"
                        android:textSize="@dimen/small_text_size" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="22dp"
                    android:layout_marginEnd="10dp"
                    android:gravity="center_vertical">

                    <ImageView
                        android:id="@+id/image_view_remove"
                        android:layout_width="18dp"
                        android:layout_height="18dp"
                        android:layout_marginEnd="2dp"
                        android:background="@drawable/bg_box_qty"
                        android:padding="5dp"
                        android:src="@drawable/ic_minus_grey" />

                    <TextView
                        android:id="@+id/tv_scratch_qty"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:background="@drawable/bg_box_qty_grey"
                        android:gravity="center"
                        android:paddingStart="10dp"
                        android:paddingEnd="10dp"
                        android:text="1"
                        android:textColor="@android:color/black"
                        android:textSize="@dimen/small_text_size"
                        android:textStyle="bold" />

                    <ImageView
                        android:id="@+id/image_view_add"
                        android:layout_width="18dp"
                        android:layout_height="18dp"
                        android:layout_marginStart="2dp"
                        android:background="@drawable/bg_box_qty"
                        android:padding="5dp"
                        android:src="@drawable/ic_plus_grey" />
                </LinearLayout>
            </LinearLayout>
        </LinearLayout>

        <TextView
            android:id="@+id/tv_scratch_price"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="15dp"
            android:text="$0"
            android:textColor="@android:color/black"
            android:textSize="@dimen/large_text_size" />
    </LinearLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:background="@color/line_table" />

    <LinearLayout
        android:id="@+id/layout_total"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/colorPinkSoft"
            android:paddingStart="57dp"
            android:paddingTop="5dp"
            android:paddingEnd="15dp"
            android:paddingBottom="5dp">

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="@string/total"
                android:textColor="@android:color/black" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="$"
                android:textColor="@color/colorPrimary"
                android:textSize="@dimen/large_text_size" />

            <TextView
                android:id="@+id/tv_total"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="0"
                android:textColor="@color/colorPrimary"
                android:textSize="@dimen/large_text_size"
                android:textStyle="bold" />
        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="0.5dp"
            android:background="@color/line_table" />

        <View
            android:layout_width="match_parent"
            android:layout_height="0.5dp"
            android:layout_marginTop="10dp"
            android:background="@color/line_table" />
    </LinearLayout>
</LinearLayout>